version: '3.9'

services:
  myrx-ai-service:
    image: myrx-dosage-service
    build: .
    volumes:
      - ./src:/opt/src
      - ./logs:/opt/logs
    ports:
      - "8111:8111"
    env_file:
      - .env
    environment:
      - DB_HOST=host.docker.internal
      - DB_PORT=3306
      - DB_USER=myrx_ssn042629
      - DB_PASSWORD=sOswXa1e2k=4
      - DB_NAME=rx_medicine_service
      - LOG_LEVEL=INFO
    extra_hosts:
      - "host.docker.internal:host-gateway"
    command: python -m uvicorn src.api.main:app --host 0.0.0.0 --port 8111 --workers 1 --reload --reload-dir /opt/src

